#!/usr/bin/python

"""
CGI Tool
A utility for using CGI in Python.
"""

## ____________________________________________________________
## Included Modules

import cgi

## ____________________________________________________________
## Module ID

VERSION = "?"
MODULE_NAME = "CGI Tool"
MODULE_NOTES = ""


## ____________________________________________________________
## Constants

CGI_INPUT = cgi.parse() ## Make input from a Web page available.

## ____________________________________________________________
## Classes




## ____________________________________________________________
## Misc. Functions

def MakeWebPage(content,**options):
    """Build an HTML Web page and print it."""
    title = options.get("title","A Web Page")
    bgcolor = options.get("bgcolor","#FFFFFF")
    textcolor = options.get("text","#00000F")
    linkcolor = options.get("link","#00A0A0")
    vlinkcolor = options.get("link","#008080")

    ## Header.
    header = "Content-type: text/html\n\n"
    header += """<HTML>\n<HEAD><TITLE>"""+title+"""</TITLE></HEAD>\n<BODY """
    header += """bgcolor=\""""+bgcolor+"""\" """
    header += """text=\""""+textcolor+"""\" """
    header += """link=\""""+linkcolor+"""\" """
    header += """vlink=\""""+vlinkcolor+"""\" """
    header += """>\n\n"""

    ## Footer.
    footer = """\n\n</BODY>\n</HTML>"""

    page = header + content + footer

    print page

def Button(value, onclick=""):
    foo='<input type="button" value="'+value+'" onClick='+onclick+'>'
    return foo

def Image(src):
    foo='<img src="'+src+'">'
    return foo

def GoBackLink(url="yerf.com",text="Go Back"):
    if url[:7] != "http://":
        url = "http://"+url
    return "<br><a href=\""+url+"\">"+text+"</a><br>"

def Get(varname,default=None):
    value = CGI_INPUT.get(varname,default)
    if type(value) is list:
        return value[0]
    else:
        return value




## ____________________________________________________________
## Autorun
if __name__ != "__main__":

##    print "Module '" + MODULE_NAME + "' loaded."
    pass

else:
##    print "Running module '" + MODULE_NAME + "'.\n" + MODULE_NOTES

    ## Run.

    c = "All your base are belong to us.<br>\n"
    c += Button("Move Zig")
    
    MakeWebPage( c )
